from flask import Flask
from flask_graphql import GraphQLView
import graphene
import pymysql

def Con():
    db = pymysql.connect(host = '127.0.0.1',port = 3306,user = 'root',pwd = 'root',db = 'acmy',charset='utf-8')
    cursor = db.cursor()
    return cursor,db

class Person(graphene.ObjectType):
    name = graphene.String()
    id = graphene.String()    

# class Create_Data(graphene.Mutation):
#     class Arguments:
#         name = graphene.String()
#         id = graphene.String()

#     def mutate(self,info,name,id):
#         pass    

# class Mutation(graphene.ObjectType):
#     create_data = Create_Data.Field()



class Query(graphene.ObjectType):
    person = graphene.List(Person)

    def resolve_person(self,info):
        sql = 'select * from graphene'
        d,c = Con()
        c.execute(sql)
        rs = c.fetchall()
        user = []
        for i in rs:
            user.append(Person(id = i[0],name = i[1]))
        c.close()
        d.close()
        return user   

    

if __name__ == "__main__":
    app = Flask(__name__)
    schema = graphene.Schema(query= Query)
    app.add_url_rule('/test/',view_func=GraphQLView.as_view('test',schema = schema,graphiql = True))
    app.run(debug=True)